From: "Horea Christian" <horea.christ@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/samri/
Date: Sun, 27 Sep 2020 08:35:59 +0000 (UTC) [thread overview]
Message-ID: <1601195562.8b9cc8923541eccb9ebaca2ca5b996982f217c9a.chymera@gentoo> (raw)
commit: 8b9cc8923541eccb9ebaca2ca5b996982f217c9a
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sun Sep 27 08:32:42 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sun Sep 27 08:32:42 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=8b9cc892
sci-biology/samri: PYTHON_COMPAT and live ebuild update
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
sci-biology/samri/samri-0.4.1.ebuild | 4 ++--
sci-biology/samri/samri-9999.ebuild | 31 +++++++++++++------------------
2 files changed, 15 insertions(+), 20 deletions(-)
diff --git a/sci-biology/samri/samri-0.4.1.ebuild b/sci-biology/samri/samri-0.4.1.ebuild
index 264e768dc..b3d3be34d 100644
--- a/sci-biology/samri/samri-0.4.1.ebuild
+++ b/sci-biology/samri/samri-0.4.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_7 )
inherit distutils-r1
diff --git a/sci-biology/samri/samri-9999.ebuild b/sci-biology/samri/samri-9999.ebuild
index d9913f2f9..fc663fcbc 100644
--- a/sci-biology/samri/samri-9999.ebuild
+++ b/sci-biology/samri/samri-9999.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+PYTHON_COMPAT=( python3_7 )
-inherit distutils-r1 git-r3 prefix
+inherit distutils-r1 git-r3
DESCRIPTION="Small Animal Magnetic Resonance Imaging"
HOMEPAGE="https://github.com/IBT-FMI/SAMRI"
@@ -17,8 +17,6 @@ SLOT="0"
IUSE="+atlases labbookdb test"
KEYWORDS=""
-# Numpy dependency to circumvent scikits_learn dependency bug:
-# https://bugs.gentoo.org/653052
DEPEND="
test? (
dev-python/pytest[${PYTHON_USEDEP}]
@@ -32,28 +30,29 @@ RDEPEND="
>=dev-python/matplotlib-2.0.2[${PYTHON_USEDEP}]
>=dev-python/numpy-1.13.3[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
dev-python/seaborn[${PYTHON_USEDEP}]
dev-python/statsmodels[${PYTHON_USEDEP}]
+ >=media-gfx/blender-2.83.4
>=sci-biology/fsl-5.0.9
sci-biology/bru2nii
atlases? ( sci-biology/mouse-brain-atlases )
labbookdb? ( sci-libs/labbookdb[${PYTHON_USEDEP}] )
sci-libs/nibabel[${PYTHON_USEDEP}]
>=sci-libs/nipy-0.4.1[${PYTHON_USEDEP}]
- >=sci-libs/nipype-0.14.0_pre20170830[${PYTHON_USEDEP}]
+ >=sci-libs/nipype-1.0.0[${PYTHON_USEDEP}]
sci-libs/pybids[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
+ sci-libs/scikits_image[${PYTHON_USEDEP}]
sci-biology/ants
sci-biology/afni
sci-biology/nilearn[${PYTHON_USEDEP}]
- "
+"
REQUIRED_USE="test? ( atlases )"
src_prepare() {
distutils-r1_src_prepare
- sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \'/usr/ *`
- sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \"/usr/ *`
+ sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \'/usr/ samri`
sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI /usr/ test_scripts.sh`
eprefixify $(grep -rl GENTOO_PORTAGE_EPREFIX samri/* test_scripts.sh)
}
@@ -64,12 +63,8 @@ python_test() {
export PATH=${TEST_DIR}/scripts:$PATH
export PYTHONIOENCODING=utf-8
./test_scripts.sh || die "Test scripts failed."
- sed -i \
- -e '1s/^/import pytest \n/' \
- -e "/def test_bru2bids():/i@pytest.mark.skip('Skipped by Portage, as this was already tested in test_scripts.sh')" \
- samri/pipelines/tests/test_reposit.py || die
- cd "${BUILD_DIR}" || die
- sed -i -e "s:'/tmp/:'$T/:g" `grep -rl "'/tmp/"`
- pytest -vv || die
- sed -i -e "s:'$T/:'/tmp/:g" `grep -rl "'$T/"`
+ sed -i -e \
+ "/def test_bru2bids():/i@pytest.mark.skip('Removed in full test suite, as this is already tested in `test_scripts.sh`')" \
+ samri/pipelines/tests/test_repos.py || die
+ pytest -vv -k "not longtime" || die
}
next reply other threads:[~2020-09-27 8:36 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-27 8:35 Horea Christian [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-16 2:11 [gentoo-commits] proj/sci:master commit in: sci-biology/samri/ Horea Christian
2023-05-02 23:58 Horea Christian
2023-05-02 12:34 Andrew Ammerlaan
2023-05-02 12:34 Andrew Ammerlaan
2023-05-02 1:03 Horea Christian
2023-04-11 2:06 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-05 21:42 Horea Christian
2023-01-12 10:22 Horea Christian
2022-07-12 13:38 Horea Christian
2022-05-18 4:11 Horea Christian
2022-04-25 19:05 Horea Christian
2022-01-26 17:48 Andrew Ammerlaan
2022-01-26 17:48 Andrew Ammerlaan
2021-01-03 5:22 Horea Christian
2020-12-24 11:00 Horea Christian
2020-09-27 9:31 Horea Christian
2019-12-08 14:54 Horea Christian
2019-04-28 2:00 Horea Christian
2019-01-17 21:24 Horea Christian
2019-01-17 21:23 Horea Christian
2019-01-14 17:39 Horea Christian
2019-01-12 12:43 Horea Christian
2019-01-06 15:52 Horea Christian
2019-01-06 15:09 Horea Christian
2019-01-06 14:52 Horea Christian
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601195562.8b9cc8923541eccb9ebaca2ca5b996982f217c9a.chymera@gentoo \
--to=horea.christ@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox